import QtQuick 2.12
import QtQuick.Controls 2.5
import QtQuick.Dialogs 1.0

Page {
    width: 1280
    height: 470
    font.capitalization: Font.MixedCase

    title: qsTr("Sending")

    Connections {
        target: _qmlHandler
        onSendingSetFileUrlText: {
            sendingSelectedFileText.text = signalText
        }
        onSendingEnableSendButton: {
            sendingSendFileButton.enabled = true
        }
        onSendingDisableSendButton: {
            sendingSendFileButton.enabled = false
        }
    }

    Button {
        id: sendingClearFileButton
        x: 900
        y: 40
        width: 260
        height: 90
        text: qsTr("Clear Selection")
        enabled: sendingSendFileButton.enabled
        font.pointSize: 16
        // @disable-check M223
        onClicked: {
            // @disable-check M222
            _qmlHandler.onSendingClearSelectionButton()
        }
    }

    Button {
        id: sendingSelectFileButton
        x: 120
        y: 40
        width: 260
        height: 90
        text: qsTr("Select File")
        font.pointSize: 16
        // @disable-check M223
        onClicked: {
            // @disable-check M222
            sendingFileDialog.open()
        }
    }

    Text {
        id: sendingSelectedFileText
        x: 54
        y: 186
        width: 1172
        height: 52
        color: "#ffffff"
        text: qsTr("Selected File: None")
        verticalAlignment: Text.AlignVCenter
        horizontalAlignment: Text.AlignHCenter
        font.pixelSize: 23
    }

    FileDialog {
        id: sendingFileDialog
        title: "Please choose a file"
        folder: shortcuts.home
        // @disable-check M223
        onAccepted: {
            // @disable-check M222
            _qmlHandler.onSendingSelectFileButton(sendingFileDialog.fileUrl)
        }
    }

    Button {
        id: sendingSendFileButton
        x: 510
        y: 304
        enabled: false
        width: 260
        height: 90
        text: qsTr("Send File")
        font.pointSize: 16
        // @disable-check M223
        onClicked: {
            // @disable-check M222
            _qmlHandler.onSendingSendFileButton()
        }
    }
}
